<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# r2

```text
usage: r2 [-h] [--no-seek] [--no-rebase] [arguments ...]

```

Launches radare2.

**Alias:** radare2
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|arguments|Arguments to pass to radare|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
||--no-seek|Do not seek to current pc|
||--no-rebase|Do not set the base address for PIE according to the current mapping|

### Examples
```text
pwndbg> r2 -- -S -AA
WARN: Relocs has not been applied. Please use `-e bin.relocs.apply=true` or `-e bin.cache=true` next time
INFO: Analyze all flags starting with sym. and entry0 (aa)
[...]
INFO: Debugger commands disabled in sandbox mode
[0x0001d3d0]> help

Welcome to radare2!
[...]
```

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
